Subject: draft-ietf-ldup-replica-req-06.txt terminology message

From: John Strassner <[email-masked]>
Date: Sun, 25 Feb 2001 05:16:37 -0800

LDUPers,

this is the second memo, summarizing the draft-ietf-ldup-replica-req-06.txt 
terminology message

This memo is written by the WG Co-Chair in order to direct WG members how 
to move forward.

Kurt is objecting to the introduction of LDUP-specific terminology. He's 
worried that many terms defined in the requirements I-D redefine many 
existing LDAP/X.500
terms, and wants to see existing LDAP/X.500 terminology used wherever 
possible.

However, the problem is that Kurt has not identified the specific terms 
that he is objecting to.

Actions:
   1. Kurt, please delineate the terms that you feel are being redefined.
   2. Authors, please respond, indicating how the I-D will change.
   3. The WG will evaluate the response.

regards,
John Strassner
Co-Chair, LDUP WG

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Sun, 25 Feb 2001 09:45:05 -0800

John asks:
> Kurt, please delineate the terms that you feel are being redefined.

>Area of replication - A whole or portion of a Directory Information
>Tree (DIT) that makes up a distinct unit of data to be replicated. This
>may also be known as "unit of replication".

X.525:
        unit of replication:A specification of the information to be shadowed,
        including (optionally)  subordinate knowledge information.

These sound the similar, but could be interpreted differently.
I rather just use the X.518 definition.

I also note that X.525 defines:
                replicated area:A subtree of the DIT for purposes of shadowing

Note that a replicated area (or area of replication) is NOT known
also as a replicated area in X.525 terminology.

>Naming Context - Suffix of a sub-tree of entries held in a single
>  server [X.500].  For replication, this is the vertex of a replica.

A Naming Context is "A subtree of entries held in a single master DSA" [X.501].

First, note the naming context is not just the vertex, suffix, or the "context prefix"
which I-D seems to imply, but a subtree of entries including (optionally) subordinate
knowledge information.   I note that the X.525 defines the term "replicatation base
entry" to refer to the DN of the vertex of the unit of replication.

Second, whole or partial naming contexts can be replicated.  The vertex of the unit
of replication is not necessarily the vertex of the containing Naming Context. 

I note the I-D drops the word "master" from the specification.   This is problematic.
Let's say there are two context prefixes "dc=example,dc=net" (mastered on
A) and "dc=sub,dc=example,dc=net" (mastered on B).   Then define both
these contexts as "unit of replications" to be shadowed on C (for read only).
C holds shadows of two areas comprising two naming contexts, not one per the
I-D terminology.  This is inconsistent with LDAP/X.500 naming contexts.

If you use however say the Naming Context is "A subtree of entries held in
a master server" (note no 'single' qualification), then you have a comparable
problem in that if A and B both have agreements to replicate (for read/write)
to D, it cannot be said that D holds both contexts.

Additionally,  like Steven, I find the term  'replica' not use consistently, in particular
when used to define other terms.  I find it hard to detail X.500 consistency issues
with terms depended on the 'replica' term at this time.  Once the 'replica'
term definition and use is shorted out, I'll then revisit the dependent terms.

I also don't see the difference between "Master replica" and "Updatable replica".
Also, replica ring implies a particular topology, a ring of servers.  I would prefer a
term which did not imply a topology.